Name:           alex
Version:        2.3
Release:        1%{?dist}
Summary:        The lexer generator for Haskell

Group:          Development/Tools
License:        BSD
URL:            http://haskell.org/alex/
Source:         http://haskell.org/alex/dist/%{version}/alex-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    alpha ppc64

BuildRequires:  autoconf ghc docbook-style-xsl libxslt

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool lex or flex for C/C++.


%prep
%setup -q


%build
runhaskell Setup.lhs configure --prefix=%{_prefix} --libdir=%{_libdir}
runhaskell Setup.lhs build
cd doc
autoreconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make html


%install
rm -rf ${RPM_BUILD_ROOT}
runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc ANNOUNCE LICENSE README TODO doc/alex examples
%{_bindir}/alex
%{_datadir}/alex-%{version}


%changelog
* Mon Oct 13 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.3-1
- Update to 2.3

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2-2
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Jens Petersen <petersen@redhat.com> - 2.2-1
- update to 2.2 release

* Fri Nov 23 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-6
- Exclude alpha

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-5
- don't try to build on ppc64

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-4
- build requires autoconf

* Sun Jul 22 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-3
- apply a few cleanups from Jens Petersen

* Tue Apr 26 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-2
- fix a few style issues

* Fri Jan 19 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-1
- update to 2.1.0
- fix rpmlint errors

* Fri May  6 2005 Jens Petersen <petersen@redhat.com> - 2.0.1-1
- initial packaging for Fedora Haskell based on upstream spec file
